[[flash]]

Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
flash [2016/04/18 13:49]
simon
flash [2016/04/18 13:53] (Version actuelle)
simon a
Ligne 1: Ligne 1:
 ====== Flash ====== ====== Flash ======
  
-J'​utilisais jusqu'​il y a peu "flashplugin-updater" ​mais on m'a conseillé ​autre chose sur [[https://​debian-fr.org/​t/​update-flashplugin-nonfree-ne-telecharge-plus-de-mise-a-jours/​69183/​2|ce post sur Debian-fr.org]] ​+Pour avoir flash (parfois indispensable sur le web), j'​utilisais jusqu'​il y a peu //update-flashplugin-nonfree// ​mais on m'a conseillé ​//​browser-freshplayer-pepperflash// ​sur [[https://​debian-fr.org/​t/​update-flashplugin-nonfree-ne-telecharge-plus-de-mise-a-jours/​69183/​2|ce post sur Debian-fr.org]] ​
  
-Je détaille un peu la procédure. ​On ajoute une ligne au fichier "​sources.list"​ : +Je détaille un peu la procédure ​d'​installationTout d'​abord,​ on ajoute une ligne au fichier "​sources.list"​ : 
     ​     ​
-    ​<code bash> +<code bash> 
-    debian# vim /​etc/​apt/​sources.list +debian# vim /​etc/​apt/​sources.list 
-    (...) + ​(...) 
-    # Backports repository + # Backports repository 
-    deb http://​httpredir.debian.org/​debian jessie-backports main contrib non-free + deb http://​httpredir.debian.org/​debian jessie-backports main contrib non-free 
-    (...) + ​(...) 
-    </​code>​+</​code>​
  
-On met à jour la liste des paquets : +On met ensuite ​à jour la liste des paquets : 
  
-    ​debian# aptitude update +<code bash> 
-    (...) +debian# aptitude update 
-    État actuel : 1302 nouveaux paquets [+1294]+ ​(...) 
 + État actuel : 1302 nouveaux paquets [+1294] 
 +</​code>​
  
-On cherche ​le paquet ​+On cherche ​les paquets ​
  
-    ​debian# aptitude -t jessie-backports search browser-plugin-freshplayer +<code bash> 
-    p   ​browser-plugin-freshplayer-libpdf ​                            - PPAPI-host NPAPI-plugin adapter for libpdf.so from Chrome ​               +debian# aptitude -t jessie-backports search browser-plugin-freshplayer 
-    p   ​browser-plugin-freshplayer-nacl ​                              - PPAPI-host NPAPI-plugin adapter for Native Client from Chrome ​           + ​p ​  ​browser-plugin-freshplayer-libpdf ​                            - PPAPI-host NPAPI-plugin adapter for libpdf.so from Chrome ​               
-    p   ​browser-plugin-freshplayer-pepperflash ​                       - PPAPI-host NPAPI-plugin adapter for pepperflash ​+ ​p ​  ​browser-plugin-freshplayer-nacl ​                              - PPAPI-host NPAPI-plugin adapter for Native Client from Chrome ​           
 + ​p ​  ​browser-plugin-freshplayer-pepperflash ​                       - PPAPI-host NPAPI-plugin adapter for pepperflash ​ 
 +</​code>​
  
-Et on l'installe : +Et finalement, ​on les installe : 
  
-    ​debian# aptitude -t jessie-backports install browser-plugin-freshplayer-pepperflash  +<code bash> 
-    Les NOUVEAUX paquets suivants vont être installés :      +debian# aptitude -t jessie-backports install browser-plugin-freshplayer-pepperflash  
-      browser-plugin-freshplayer-pepperflash libevent-core-2.0-5{a} libevent-pthreads-2.0-5{a} pepperflashplugin-nonfree{a}  + Les NOUVEAUX paquets suivants vont être installés :      
-    0 paquets mis à jour, 4 nouvellement installés, 0 à enlever et 144 non mis à jour. +   ​browser-plugin-freshplayer-pepperflash libevent-core-2.0-5{a} libevent-pthreads-2.0-5{a} pepperflashplugin-nonfree{a}  
-    Il est nécessaire de télécharger 532 ko d'​archives. Après dépaquetage,​ 1.537 ko seront utilisés. +   ​0 paquets mis à jour, 4 nouvellement installés, 0 à enlever et 144 non mis à jour. 
-    Voulez-vous continuer ? [Y/n/?]  +   ​Il est nécessaire de télécharger 532 ko d'​archives. Après dépaquetage,​ 1.537 ko seront utilisés. 
-    (...) +   ​Voulez-vous continuer ? [Y/n/?]  
-    2016-04-14 15:41:03 (3,97 MB/s) — « /​tmp/​pepperflashplugin-nonfree.q3uxEUcfhW/​google-chrome-stable_50.0.2661.75-1_amd64.deb » sauvegardé [48362656/​48362656] +   ​(...) 
- +   ​2016-04-14 15:41:03 (3,97 MB/s) — « /​tmp/​pepperflashplugin-nonfree.q3uxEUcfhW/​google-chrome-stable_50.0.2661.75-1_amd64.deb » sauvegardé [48362656/​48362656] 
-    Paramétrage de browser-plugin-freshplayer-pepperflash (0.3.4-1~bpo8+1) ...+   ​ 
 +   ​Paramétrage de browser-plugin-freshplayer-pepperflash (0.3.4-1~bpo8+1) ...
     update-alternatives:​ utilisation de « /​usr/​lib/​browser-plugin-freshplayer-pepperflash/​libfreshwrapper-flashplayer.so » pour fournir « /​usr/​lib/​mozilla/​plugins/​flash-mozilla.so » (flash-mozilla.so) en mode automatique     update-alternatives:​ utilisation de « /​usr/​lib/​browser-plugin-freshplayer-pepperflash/​libfreshwrapper-flashplayer.so » pour fournir « /​usr/​lib/​mozilla/​plugins/​flash-mozilla.so » (flash-mozilla.so) en mode automatique
-    ​Traitement des actions différées (« triggers ») pour libc-bin (2.19-18+deb8u4) ...+   Traitement des actions différées (« triggers ») pour libc-bin (2.19-18+deb8u4) ... 
 +</​code>​
  
 J'ai ensuite redémarré Iceweasel. On peut vérifier sa version sur [le site d'​Abobe](https://​www.adobe.com/​software/​flash/​about/​) et celui-ci me confirme que je suis bien en 21.0.0.216 ! J'ai ensuite redémarré Iceweasel. On peut vérifier sa version sur [le site d'​Abobe](https://​www.adobe.com/​software/​flash/​about/​) et celui-ci me confirme que je suis bien en 21.0.0.216 !
  • flash.txt
  • Dernière modification: 2016/04/18 13:53
  • par simon